Unit tzf31e_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF31D_p, ZF31E_p;

function tzf31e: String; 

implementation

function tzf31e: String;
var
N,ITMAX,_i,IERR :Integer;
EPSX,EPSF :Extended;
ALPHA :Array [0..8] of Extended;
BETA :Array [0..2] of Extended;
NLEAD :Array [0..2] of Integer;
const
ROOT :Array [0..2] of Extended = ( 1.0e0,1.0e0,1.0e0 );
begin
Result := '';
N := 3;
EPSX := 1.e-5;
EPSF := 1.e-5;
ITMAX := 30;
ZF31E(FZF31D,ROOT,N,EPSX,EPSF,ITMAX,ALPHA,BETA,NLEAD,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%15.6f ',[ROOT[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%5d %5d ',[_ZF31RR.elm1,IERR]) + #$0D#$0A;
UtRes('tzf31e',Result);  //    tzf31e.res
exit;
end;

end.
